;;; 52select-xface.el --- Debian select-xface startup file  -*-mode: emacs-lisp;-*-

;;; Code:

(let* ((flavor-name (if (boundp 'debian-emacs-flavor)
			(symbol-name debian-emacs-flavor)
		      "emacs"))
       (elc-dir (concat "/usr/share/" flavor-name "/site-lisp/select-xface")))
  (if (not (file-directory-p elc-dir))
      ()
    (if (fboundp 'debian-pkg-add-load-path-item)
	(debian-pkg-add-load-path-item elc-dir)
      (setq load-path (cons elc-dir load-path)))
    (autoload 'select-xface "select-xface" "Select X-Face" t)
    ;; For Mew:
    (add-hook 'mew-draft-mode-hook
	      (lambda ()
		(define-key (current-local-map) "\C-c\C-x"
		  'select-xface)))
    ;; For Gnus:
    (add-hook 'gnus-message-setup-hook
	      (lambda ()
		(define-key (current-local-map) "\C-x4x"
		  'select-xface)))
    ;; For mh-e:
    (add-hook 'mh-letter-mode-hook
	      (lambda ()
		(define-key (current-local-map) "\C-x4x"
		  'select-xface)))
    ;; For MAIL, RMAIL, VM, cmail, Wanderlust:
    (add-hook 'mail-mode-hook
	      (lambda ()
		(define-key (current-local-map) "\C-x4x"
		  'select-xface)))
    ;; workaround for select-xface-insert
    (defvar x-face-add-x-face-version-header nil)
    ;;
    ))

;; 52select-xface.el ends here
